
#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

#define SENSOR_TEMPERATURE    0
#define SENSOR_HUMIDITY       1
#define SENSOR_LIGHT          2
#define SENSOR_WINDSPEED      3
#define SENSOR_PRESSURE       4
#define SENSOR_BAT_VOLTAGE    5
#define SENSOR_ESAVEMODE      6
#define SENSOR_BATCHARGESTATE 7


#define BAT_CHARGE_STATE_CHARGED     2.0
#define BAT_CHARGE_STATE_CHARGING    1.0
#define BAT_CHARGE_STATE_NOTCHARGING 0.0
#define ENERGY_SAVE_MODE_ENABLED     1.0
#define ENERGY_SAVE_MODE_DISABLED    0.0

#define FSM_STATE_WU  0
#define FSM_STATE_WSE 1
#define FSM_STATE_RS  2
#define FSM_STATE_WS  4
#define FSM_STATE_US  5
#define FSM_STATE_SC  6
#define FSM_STATE_ID  7
#define FSM_STATE_SD  8

#endif
